#include "easylogging++.h"
#include <iostream>
using namespace std;
INITIALIZE_EASYLOGGINGPP

int main()
{
	
	el::Configurations conf("../../log.conf");
	el::Loggers::reconfigureLogger("default", conf);
	el::Loggers::reconfigureAllLoggers(conf);

	LOG(INFO) << "my easyloging is launching";

	long m_ISum =0;

	for (int i = 0; i < 500000000; i++)
	{
		m_ISum = m_ISum + i;
	}
	
	cout << " Sum is :" << m_ISum << endl;

	for (int i = 0; i < 20; i++)
	{
		LOG(INFO) << " Index is :" << i;
	}

	
	LOG(INFO) << " Sum is :" << m_ISum;

	LOG(INFO) << "my easyloging is success";

	return 0;
}